Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 3 sur 3
  1. #1
    Invité de passage
    Inscrit en
    décembre 2010
    Messages
    1
    Détails du profil
    Informations forums :
    Inscription : décembre 2010
    Messages : 1
    Points : 0
    Points
    0

    Par défaut Débutant: Python 2.7 ou 3 ?

    Bonjour,
    Je débute la programmation avec Python et me pose une question existentielle quant à la version que je dois choisir. Peut-être pourriez-vous me donner votre avis sur la question ?
    La plupart des exemples ou scritps que je trouve sur le Net sont pour la plupart écris en 2.x. Est-ce trop tôt pour utiliser la version 3 ?
    D'avance merci pour votre aide.

  2. #2
    Modérateur

    Homme Profil pro
    Architecte technique
    Inscrit en
    juin 2008
    Messages
    5 465
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Architecte technique
    Secteur : Industrie

    Informations forums :
    Inscription : juin 2008
    Messages : 5 465
    Points : 8 261
    Points
    8 261

    Par défaut

    Salut,

    Pour "apprendre" le langage: Python 3 ou Python 2.7 conviendront.

    Pour utiliser facilement des packages récupérés sur le Net, il faudra parfois vous limiter aux versions supportés par les différents packages.

    Si le package ne contient que des scripts Python, vous pourrez les installer en 2.7 même s'ils ont été écrits pour des versions 2.x antérieures.
    Note: Il est probable qu'ils ne fonctionnent pas sans changement si vous essayez de les utiliser en v3.

    S'il contient des extensions (genre C), vous aurez le choix entre des binaires compilés pour une version de Python et re-compiler à partir des sources.

    're-compiler' demande l'installation et la maîtrise d'une toolchain sous l'OS que vous utilisez - rien à voir avec l'écriture de scripts Python.
    Et même en maîtrisant cela, vous préfèrerez parfois utiliser des binaires plutôt que débugger votre toolchain.

    Dans la pratique, vous devrez apprendre à fonctionner avec plusieurs versions: 2.6, 2.7, 3.x et construire des environnements "spécifiques" aux applications que vous utilisez/construisez.

    Bon courage,
    - W
    Architectures Post-Modernes

  3. #3
    Membre éclairé
    Avatar de Pierre Maurette
    Profil pro Pierre Maurette
    Inscrit en
    juillet 2002
    Messages
    274
    Détails du profil
    Informations personnelles :
    Nom : Pierre Maurette
    Âge : 58

    Informations forums :
    Inscription : juillet 2002
    Messages : 274
    Points : 350
    Points
    350

    Par défaut

    (à lire peut-être)
    J'ajoute juste quelques détails à la réponse de wiztricks. Vous pourriez commencer avec 2.7, ou la version proposée par votre distribution sous Linux (2.6.6 pour Ubuntu, 2.5.2 pour mes Debian). Ensuite, et pourquoi pas assez vite en parallèle, la dernière 3.x. Vous pourriez alors vous pencher au passage 2.x vers 3.x et à la façon de mener un développement ciblant les deux versions. Dans la doc de 3.x voir "What’s New In Python 3.0".
    C'est à mon avis intéressant en Python de faire des scripts directement multiplateformes, sans code conditionnel. Quand c'est possible, ça va dans le sens de la qualité du code.
    Eclipse + Pydev est très pratique pour gérer de multiples versions. Pour les installer sous Windows, c'est immédiat à partir des .msi. Je les installe dans une arborecence X:\Pythons\PythonX.X\. Eventuellement installer (ou réinstaller) en dernier celui que l'on considère comme par défaut.
    Pour Linux, c'est à peine plus compliqué. Il faut éviter d'installer des versions alternatives par les outils de la distro (si vous vous retrouver avec une version 3.1 par défaut sous Ubuntu ça risque de mal se passer). Donc vous téléchargez (à partir de là http://www.python.org/download/releases/) le Python-x.x.x.tgz ou le Python-x.x.x.tar.bz2, vous décompressez, vous vous placez dans répertoire Python-x.x.x et vous faites (Ubuntu, à adapter):
    Code :
    1
    2
    3
    ./configure
    make
    sudo make altinstall
    Les exécutables pythons sont alors sous /usr/local/bin/.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •